跳转到内容
Ask AI

STP-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/show-stp——Y
/stpYmerge, replace, create—
/stp/globalYmerge, replace, create, delete—
/stp/interfaces/{name}Ymerge, replace, create, delete—
/stp/mstpYmerge, replace, create, delete—
/stp/mstp/configYmerge, replace, create, delete—
/stp/mstp/instances/{id}Ymerge, replace, create, delete—
/stp/mstp/instances/{id}/interfaces/{name}Ymerge, replace, create, delete—
/stp/rstpYmerge, replace, create, delete—
/stp/rstp/configYmerge, replace, create, delete—
/stp/rstp/interfaces/{name}Ymerge, replace, create, delete—
/stp/stpYmerge, replace, create, delete—
/stp/stp/configYmerge, replace, create, delete—
/stp/stp/interfaces/{name}Ymerge, replace, create, delete—

This chapter provides examples on how to use Netconf to manage stp configurations on AsterNOS devices.

Request example to create stp instance 3 via edit-config

<config>
<top>
<stp>
<global>
<enabled>true</enabled>
<protocol>mstp</protocol>
</global>
<mstp>
<config>
<forward-delay>16</forward-delay>
</config>
<instances>
<instance>
<id>3</id>
<priority>5</priority>
<vlans>100</vlans>
<interfaces>
<interface>
<name>Ethernet1</name>
<priority>11</priority>
</interface>
</interfaces>
</instance>
</instances>
</mstp>
<interfaces>
<interface>
<name>Ethernet1</name>
<bpdu-filter>true</bpdu-filter>
<bpdu-guard>true</bpdu-guard>
</interface>
</interfaces>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:c5b484e2-f2ae-48b4-8261-fbd31dc35674">
<ok/>
</rpc-reply>

Request example to get all stp configurations via get-config

<filter type="subtree">
<top>
<stp/>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:61ceaab6-5af0-4461-8cd2-e0924f9dab69">
<data>
<top>
<stp xmlns="http://asterfusion.com/ns/yang/asternos-stp">
<global>
<enabled>true</enabled>
<protocol>mstp</protocol>
</global>
<stp/>
<rstp/>
<mstp>
<config>
<forward-delay>16</forward-delay>
<hello-time>2</hello-time>
<max-age>20</max-age>
</config>
<instances>
<instance>
<id>0</id>
<priority>8</priority>
</instance>
<instance>
<id>3</id>
<priority>5</priority>
<vlans>100</vlans>
<vlans>30</vlans>
<interfaces>
<interface>
<name>Ethernet1</name>
<priority>11</priority>
</interface>
</interfaces>
</instance>
</instances>
</mstp>
<interfaces>
<interface>
<name>Ethernet1</name>
<bpdu-filter>true</bpdu-filter>
<bpdu-guard>true</bpdu-guard>
</interface>
</interfaces>
</stp>
</top>
</data>
</rpc-reply>

Request example to replace stp mode to stp via edit-config

<config>
<top>
<stp operation="replace">
<global>
<enabled>true</enabled>
<protocol>stp</protocol>
</global>
<stp>
<config>
<forward-delay>16</forward-delay>
</config>
<interfaces>
<interface>
<name>Ethernet1</name>
<priority>3</priority>
</interface>
</interfaces>
</stp>
<interfaces>
<interface>
<name>Ethernet1</name>
<bpdu-filter>true</bpdu-filter>
<bpdu-guard>true</bpdu-guard>
</interface>
</interfaces>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:dc4b64f2-8e74-42db-b34d-fec5be9f97b6">
<ok/>
</rpc-reply>

Request example to disable stp via edit-config

<config>
<top>
<stp>
<global operation="merge">
<enabled>false</enabled>
</global>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:d93c885b-eb49-45e3-9755-a99279840c57">
<ok/>
</rpc-reply>

Request example to create stp instances via edit-config

<config>
<top>
<stp>
<mstp>
<config>
<forward-delay>16</forward-delay>
</config>
<instances>
<instance>
<id>1</id>
<priority>4</priority>
<vlans>101</vlans>
</instance>
</instances>
</mstp>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:aa560eb6-5868-49e4-9fa3-10820603983c">
<ok/>
</rpc-reply>

Request example to get all stp instances via get-config

<filter type="subtree">
<top>
<stp>
<mstp>
<instances/>
</mstp>
</stp>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:9d08a754-1179-4193-a030-741936d47914">
<data>
<top>
<stp xmlns="http://asterfusion.com/ns/yang/asternos-stp">
<mstp>
<instances>
<instance>
<id>0</id>
<priority>8</priority>
</instance>
<instance>
<id>1</id>
<priority>4</priority>
<vlans>101</vlans>
</instance>
<instance>
<id>3</id>
<priority>5</priority>
<vlans>100</vlans>
<interfaces>
<interface>
<name>Ethernet1</name>
<priority>11</priority>
</interface>
</interfaces>
</instance>
</instances>
</mstp>
</stp>
</top>
</data>
</rpc-reply>

Request example to delete specified stp instances 1 via edit-config

<config>
<top>
<stp>
<mstp>
<instances>
<instance operation="delete">
<id>1</id>
</instance>
</instances>
</mstp>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:58cae6ce-bd38-4003-8ad9-e210ce6b130f">
<ok/>
</rpc-reply>

Request example to modify specified stp port priority via edit-config

<config>
<top>
<stp>
<mstp>
<instances>
<instance>
<id>1</id>
<interfaces>
<interface>
<name>Ethernet1</name>
<priority>7</priority>
</interface>
</interfaces>
</instance>
</instances>
</mstp>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:e4f15f44-18dd-4db5-87f0-8a321920f841">
<ok/>
</rpc-reply>

Request example to set specified stp interface bpdu via edit-config

<config>
<top>
<stp>
<interfaces>
<interface>
<name>Ethernet1</name>
<bpdu-filter>true</bpdu-filter>
<bpdu-guard>false</bpdu-guard>
</interface>
</interfaces>
</stp>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:b3badfb8-e55e-439e-88bc-e99bc41117de">
<ok/>
</rpc-reply>

Request example to show status of all stp instance via rpc show-stp.

<show-stp>
<status/>
</show-stp>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:1babb2d8-a371-49f4-8857-1c765c12d914">
<data xmlns="http://asterfusion.com/ns/yang/asternos-stp">
Spanning-tree Mode: mstp
mst_instance port port_role stp_state
-------------- --------- ----------- -----------
3 Ethernet1 Disabled discarding
3 Ethernet3 Designated forwarding
3 Ethernet7 Backup discarding
mstpid ['1'] do not bind any vlans
</data>
</rpc-reply>

Shows Stp Information Of Specified Stp Instance

Section titled “Shows Stp Information Of Specified Stp Instance”

Request example to show status of stp instance via rpc show-stp.

<show-stp>
<stp_info>
<stpid>1</stpid>
</stp_info>
</show-stp>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:be3ccbb3-38d6-49e6-98e7-68d3fb8514fc">
<data xmlns="http://asterfusion.com/ns/yang/asternos-stp">
Spanning-tree Mode: mstp
mst_instance port port_role stp_state
-------------- --------- ----------- -----------
3 Ethernet1 Disabled discarding
3 Ethernet3 Designated forwarding
3 Ethernet7 Backup discarding
</data>
</rpc-reply>

Shows Stp Interface Information of Specified Stp Instance

Section titled “Shows Stp Interface Information of Specified Stp Instance”

Request example to show status of stp interface via rpc show-stp.

<show-stp>
<stp_info>
<stpid>1</stpid>
<interface_name>Ethernet1</interface_name>
</stp_info>
</show-stp>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:cfa844e5-3e4e-4ca2-91e2-e0029d6bcae7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-stp">
Spanning-tree Mode: mstp
mst_instance port port_role stp_state
-------------- --------- ----------- -----------
3 Ethernet1 Disabled discarding
</data>
</rpc-reply>

Request example to show stp bind info via rpc show-stp.

<show-stp>
<bind/>
</show-stp>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:2365ac63-6ba2-4bc6-bbbc-5bb2c671c7b5">
<data>
<vlan_id>100</vlan_id>
<stp_id>3</stp_id>
</data>
</rpc-reply>

Top-level grouping for Multi spanning-tree model

Section titled “Top-level grouping for Multi spanning-tree model”

Tree Diagram

module: asternos-stp
+--rw stp
+--rw global
| +--rw enabled? boolean
| +--rw protocol? stp-types:stp-protocol-enumeration
+--rw stp
| +--rw config
| | +--rw forward-delay? uint16
| | +--rw hello-time? uint16
| | +--rw max-age? uint32
| | +--rw priority? uint8
| +--rw interfaces
| +--rw interface* [name]
| +--rw name union
| +--rw priority? uint8
| +--ro state
| +--ro role? stp-types:stp-port-role-enumeration
| +--ro port-state? stp-types:stp-port-state-enumeration
+--rw rstp
| +--rw config
| | +--rw forward-delay? uint16
| | +--rw hello-time? uint16
| | +--rw max-age? uint32
| | +--rw priority? uint8
| +--rw interfaces
| +--rw interface* [name]
| +--rw name union
| +--rw priority? uint8
| +--ro state
| +--ro role? stp-types:stp-port-role-enumeration
| +--ro port-state? stp-types:stp-port-state-enumeration
+--rw mstp
| +--rw config
| | +--rw name? string
| | +--rw forward-delay? uint16
| | +--rw hello-time? uint16
| | +--rw max-age? uint32
| +--rw instances
| +--rw instance* [id]
| +--rw id uint16
| +--rw priority? uint8
| +--rw vlans* cmn:vlan-id
| +--rw interfaces
| +--rw interface* [name]
| +--rw name union
| +--rw priority? uint8
| +--ro state
| +--ro role? stp-types:stp-port-role-enumeration
| +--ro port-state? stp-types:stp-port-state-enumeration
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw bpdu-filter? boolean
+--rw bpdu-guard? boolean

Table of Properties

NameRequiredType/RangeDescription
stpMPath-only node, has no configurable value.
Top-level grouping for Multi spanning-tree model
globalMPath-only node, has no configurable value.
Global configuration
enabledO”true"
"false”
MSTP status, true means MSTP is enabled, false means MSTP is disabled
Default value: False
protocolOstp-types:stp-protocol-enumerationList of the spanning tree protocols enabled on the device
stpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for STP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port
rstpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for RSTP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port
mstpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for MSTP
nameOstring (length 1..32)MST Region name
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
instancesMPath-only node, has no configurable value.
Configuration and operation data for MSTP instances
instanceMPath-only node, has no configurable value.
List of MSTP instances
idO0..255MSTP instance ID
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
vlansOcmn:vlan-idVLAN ID
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port
interfacesMPath-only node, has no configurable value.
Enclosing container for the list of interface references
interfaceMPath-only node, has no configurable value.
List of interfaces on which MSTP is enable
nameOEthernet nameInterface name
bpdu-filterO”true"
"false”
Configure mstp interface bpdu filter
Default value: False
bpdu-guardO”true"
"false”
Configure mstp interface bpdu guard
Default value: False

Tree Diagram

module: asternos-stp
+--rw stp
+--rw global
+--rw enabled? boolean
+--rw protocol? stp-types:stp-protocol-enumeration

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
Global configuration
enabledO”true"
"false”
MSTP status, true means MSTP is enabled, false means MSTP is disabled
Default value: False
protocolOstp-types:stp-protocol-enumerationList of the spanning tree protocols enabled on the device

Enclosing container for the list of interface references

Section titled “Enclosing container for the list of interface references”

Tree Diagram

module: asternos-stp
+--rw stp
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw bpdu-filter? boolean
+--rw bpdu-guard? boolean

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
Enclosing container for the list of interface references
interfaceMPath-only node, has no configurable value.
List of interfaces on which MSTP is enable
nameOEthernet nameInterface name
bpdu-filterO”true"
"false”
Configure mstp interface bpdu filter
Default value: False
bpdu-guardO”true"
"false”
Configure mstp interface bpdu guard
Default value: False

Tree Diagram

module: asternos-stp
+--rw stp
+--rw mstp
+--rw config
| +--rw name? string
| +--rw forward-delay? uint16
| +--rw hello-time? uint16
| +--rw max-age? uint32
+--rw instances
+--rw instance* [id]
+--rw id uint16
+--rw priority? uint8
+--rw vlans* cmn:vlan-id
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
mstpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for MSTP
nameOstring (length 1..32)MST Region name
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
instancesMPath-only node, has no configurable value.
Configuration and operation data for MSTP instances
instanceMPath-only node, has no configurable value.
List of MSTP instances
idO0..255MSTP instance ID
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
vlansOcmn:vlan-idVLAN ID
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
+--rw stp
+--rw mstp
+--rw config
+--rw name? string
+--rw forward-delay? uint16
+--rw hello-time? uint16
+--rw max-age? uint32

Table of Properties

NameRequiredType/RangeDescription
configMPath-only node, has no configurable value.
Configuration data for MSTP
nameOstring (length 1..32)MST Region name
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20

Configuration and operation data for MSTP instances

Section titled “Configuration and operation data for MSTP instances”

Tree Diagram

module: asternos-stp
+--rw stp
+--rw mstp
+--rw instances
+--rw instance* [id]
+--rw id uint16
+--rw priority? uint8
+--rw vlans* cmn:vlan-id
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
instancesMPath-only node, has no configurable value.
Configuration and operation data for MSTP instances
instanceMPath-only node, has no configurable value.
List of MSTP instances
idO0..255MSTP instance ID
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
vlansOcmn:vlan-idVLAN ID
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
+--rw stp
+--rw mstp
+--rw instances

Tree Diagram

module: asternos-stp
+--rw stp
+--rw rstp
+--rw config
| +--rw forward-delay? uint16
| +--rw hello-time? uint16
| +--rw max-age? uint32
| +--rw priority? uint8
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
rstpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for RSTP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
+--rw stp
+--rw rstp
+--rw config
+--rw forward-delay? uint16
+--rw hello-time? uint16
+--rw max-age? uint32
+--rw priority? uint8

Table of Properties

NameRequiredType/RangeDescription
configMPath-only node, has no configurable value.
Configuration data for RSTP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8

Tree Diagram

module: asternos-stp
+--rw stp
+--rw rstp
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
+--rw stp
+--rw stp
+--rw config
| +--rw forward-delay? uint16
| +--rw hello-time? uint16
| +--rw max-age? uint32
| +--rw priority? uint8
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
stpMPath-only node, has no configurable value.
Global configuration
configMPath-only node, has no configurable value.
Configuration data for STP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
+--rw stp
+--rw stp
+--rw config
+--rw forward-delay? uint16
+--rw hello-time? uint16
+--rw max-age? uint32
+--rw priority? uint8

Table of Properties

NameRequiredType/RangeDescription
configMPath-only node, has no configurable value.
Configuration data for STP
forward-delayO4..30Delay time for device state migration, in seconds, must meet 2*(forward-delay - 1 second) >= max-age
Default value: 15
hello-timeO1..10MSTP hello time, in seconds
Default value: 2
max-ageO6..40A parameter used to determine whether a configuration message has been stored in the device for an out-of-date period of time, and the device will discard the out-of-date configuration message, in seconds, must meet 2*(max-age - 1 second) >= forward-delay
Default value: 20
priorityO0..15MSTP Region priority, once mstp is enabled the value is set to 8 by default.
Default value: 8

Tree Diagram

module: asternos-stp
+--rw stp
+--rw stp
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw priority? uint8
+--ro state
+--ro role? stp-types:stp-port-role-enumeration
+--ro port-state? stp-types:stp-port-state-enumeration

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
interfaceMPath-only node, has no configurable value.
List of MSTP instance ports
nameOEthernet namePort name
priorityO0..15Set port priority for the MSTI
Default value: 8
stateROPath-only node, has no configurable value.
Operational state data for STP on each interface
roleROstp-types:stp-port-role-enumerationThe current role of the bridge port
port-stateROstp-types:stp-port-state-enumerationThe current state of the bridge port

Tree Diagram

module: asternos-stp
rpcs:
+---x show-stp
+---w input
| +---w status? empty
| +---w stp_info
| | +---w stpid uint16
| | +---w interface_name? union
| +---w bind? empty
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-stpO
statusOemptySpecify the spanning tree protocols
stp_infoMPath-only node, has no configurable value.
stpidM0..63Specify the spanning tree protocols
interface_nameOEthernet nameinterface name
bindOemptyshow spanning_tree mstp bind info
dataOshow stp status of all instances